none
.net framework版本及补丁问题? RRS feed

  • 问题

  • 现在微软下载中心提供了以下framework版本下载。

    1.12.03.53.5 SP14.0

    请问:

    1.如果安装了4.0,是否表示1.1-3.5也都安装了,如果不是,是要全部单独安装吗?

    2.若以上版本要全部安装,是否需要按顺序安装,从1.1到4.0,可以乱序吗?

    3.通过观察,3.5(197M)和3.5 SP1(231M)的大小相差不大,是否表示只需要安装3.5 SP1(它涵盖了3.5?)即可,还是需要从3.5到3.5 SP1都要安装?

    4.在3.5 SP1的下载页面中有一段话:“IMPORTANT: After installing the .NET Framework 3.5 SP1 package (either the bootstrapper or the full package) you should immediately install the update KB959209 to address a set of known application compatibility issues.” 翻译过来就是:“重要: 在安装完.NET Framework 3.5 SP1补丁包(无论是引导程序或完整安装包),你应该立即安装更新 KB959209 ,以解决一组已知应用程序带来的兼容性问题。”,是否需要安装呢?——补丁的页面

    3个补丁详解:

    请下载并安装“Files in This Download”(此下载中的文件)部分列出的全部 3 个更新。 这些更新应按照以下顺序进行安装:

    1. 安装 .NET Framework 2.0 Service Pack 2 的更新 — NDP20SP2-KB958481-x86.exe
    2. 安装 .NET Framework 3.0 Service Pack 2 的更新 — NDP30SP2-KB958483-x86.exe
    3. 安装 .NET Framework 3.5 Service Pack 1 的更新 — NDP35SP1-KB958484-x86.exe

    5.关于4.0也找到一个补丁,是否也需要安装?

    6.VS2010 SP1补丁出正式版了吗?是的话,以上这些.net framework的补丁是否已经集成了?

    谢谢高人的指点。。。。

    2011年6月8日 3:04

答案

  • 你好

     

    1.如果安装了4.0,是否表示1.1-3.5也都安装了,如果不是,是要全部单独安装吗?

    .NET 4 好像只包含 .NET 2.0 到3.5 和 4 的... 所以如果你用到.NET 1.1 的功能時.. 你便要單獨安裝 .NET 1.1 了

    2.若以上版本要全部安装,是否需要按顺序安装,从1.1到4.0,可以乱序吗?

    最理想的做法是由舊版本的 .NET 開始安裝.. 如果安裝了新版本的.NET 之後INSTALL 舊版本的可能會出現問題..或會說你已安裝了最新的版本..

    3.通过观察,3.5(197M)和3.5 SP1(231M)的大小相差不大,是否表示只需要安装3.5 SP1(它涵盖了3.5?)即可,还是需要从3.5到3.5 SP1都要安装

    .NET 3.5SP1 是包含了 .NET 3.5的

    4/5) 安裝了補丁可以令到程式更安全更穏定

    6) 雖然 VS2010 SP1 已經出現了..但是他的FIX 是VS2010的多.. 或者要等待 .NET4 SP1 的出垷時候才會有 以上的FIX 的集成..
    現在可以嘗試使用WINDOWS UPDATE 來取得最新的 .NET FRAMEWORK 補丁

    Please correct me if my concept is wrong

     


    Chi
    • 已建议为答案 Paul Zhou 2011年6月9日 9:39
    • 已标记为答案 Paul Zhou 2011年6月15日 7:41
    2011年6月8日 5:59